#!/bin/sh
# Install-script

. /etc/live.cfg

NAME=`basename $0 .sh`
DISK_USAGE=450
RAM_USAGE=148
VERSION=0.2.7
DODATE="03:31:15 20-08-2002 GMT+1"
SITE="freesco.docnielsen.dk"

err()	{
	echo $*; exit 1
}

# Preinstall
echo;echo " This package was last updated on ${DODATE}.";echo
echo " To get the latest ${NAME} package, use:"
echo " installpkg $SITE/$NAME ";echo
[ "$2" = $VERSION ] || err " Sorry, this package is for $VERSION, installation aborted."
[ "$4" -lt $DISK_USAGE ] && err " Sorry, not enough disk space to install."
[ "$5" -lt $RAM_USAGE ] && err " Sorry, not enough ramdisk space to install."
[ "$bootdev" = fd0 ] && err " Sorry, this package is for harddisk only."
if [ -d /mnt/router/packages/${NAME} ]; then
	echo " Hmm, $NAME seems to be installed already,"
	read -p " Are you sure you want to reinstall over the top of it [y/n] ? " tmp
	[ "$tmp" = y ] || err " Cancelled."
fi;echo
if [ -f /mnt/router/packages/proftpd/proftpd.conf ];then
mv /mnt/router/packages/proftpd/proftpd.conf /mnt/router/ 2>/dev/null
echo " your old proftpd.conf has been moved to /mnt/router/ "
fi
# Install
cd /mnt
snarf $1/$NAME.tgz || err " An occured while downloading. Installation aborted."
cd /
killall ${NAME} 2>/dev/null
zcat < /mnt/$NAME.tgz | star || err " $NAME.tgz seems to be corrupt, try downloading again."
rm -f /mnt/$NAME.tgz

# Done
fork rc_${NAME}
echo;echo " Installation is complete."
echo " ${NAME} can now be controlled with rc_${NAME}.";
echo;echo " Enjoy :o)";echo

# EOF
